summaryrefslogtreecommitdiffstats
path: root/bin/ipod_movie
diff options
context:
space:
mode:
authorjluehrs2 <jluehrs2@uiuc.edu>2007-09-09 17:41:22 -0500
committerjluehrs2 <jluehrs2@uiuc.edu>2007-09-09 17:41:22 -0500
commita15446b3fd41656efa0677b8f10a9be4ad8b74fd (patch)
tree0b303c85546ea4b8db749a9bb7bbb196fb3cb9f2 /bin/ipod_movie
parent575acc6740d468197537dbb20ff53c93da54e50b (diff)
downloadconf-a15446b3fd41656efa0677b8f10a9be4ad8b74fd.tar.gz
conf-a15446b3fd41656efa0677b8f10a9be4ad8b74fd.zip
add my bin directory
Diffstat (limited to 'bin/ipod_movie')
-rw-r--r--bin/ipod_movie18
1 files changed, 18 insertions, 0 deletions
diff --git a/bin/ipod_movie b/bin/ipod_movie
new file mode 100644
index 0000000..8f0cdb4
--- /dev/null
+++ b/bin/ipod_movie
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+in_name=$1
+out_name=$( echo ${in_name} | sed 's/\(.*\)\..*/\1_ipod.mov/' )
+aspect=$2
+
+echo "Writing out ${in_name} in iPod format to ${out_name}..."
+echo
+
+ffmpeg -vcodec xvid -b 350 -bufsize 4096 -g 300 -acodec aac -ab 96 -ac 2 -i "${in_name}" -s 320x240 -aspect ${aspect} "${out_name}"
+
+if [[ $? -eq 0 ]]; then
+ echo
+ echo "done."
+else
+ echo
+ echo "failed."
+fi